SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001394SiT!feedbackpublic2010-09-06 15:472011-07-17 13:09
Reportersanchezpaa 
Assigned Topaulh 
PrioritylowSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.62 LTS 
Target Version3.63 LTSFixed in Version3.63 LTS 
Summary0001394: Can´t browse feedback
DescriptionWhen trying to browse feedback I get the following error:
Application Warning [512]
Column 'created' in order clause is ambiguous in /opt/lampp/htdocs/sit/feedback_browse.php @ line 185
Backtrace:
/opt/lampp/htdocs/sit/feedback_browse.php @ line 185 trigger_error()
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003401)
Tomse (developer)
2010-09-06 20:25

I'm not able to reproduce your problem.

you need to supply more details on how to repro the problem.
(0003402)
sanchezpaa (reporter)
2010-09-06 21:37

I have no idea how to reproduce the problem. I fixed it by adding ff in front of `created` in line 181 of feedback_browse.php

                default:
                    $sql .= " ORDER BY ff.created DESC";
                    break;
User avatar (0003412)
paulh (administrator)
2010-09-21 20:59

Hi,

I've just reviewed the code and given the error your seeing I'd expect to see a field called created in both feedbackforms and feedbackformsresponded except the field in feedbackforms is named createdby, can you check your schema and see if feedbackforms does have a column named created (if it doesn't I'm uncertain where it came from).

Cheers
Paul
User avatar (0003484)
paulh (administrator)
2010-11-30 20:40

Looking though the scheme I've managed to identify why this happens

the new create schema doesn't have a created on dbFeedbackForms but their is an alter from 23Apr2008
User avatar (0003485)
paulh (administrator)
2010-11-30 20:49

r6768 and ef30df8 resolve this
User avatar (0003710)
ivan (administrator)
2011-04-16 15:07

Fix Released in 3.63

- Issue History
Date Modified Username Field Change
2010-09-06 15:47 sanchezpaa New Issue
2010-09-06 20:25 Tomse Note Added: 0003401
2010-09-06 20:25 Tomse Status new => feedback
2010-09-06 21:37 sanchezpaa Note Added: 0003402
2010-09-06 21:37 sanchezpaa Status feedback => new
2010-09-21 20:59 paulh Note Added: 0003412
2010-09-21 20:59 paulh Status new => feedback
2010-11-30 20:39 paulh Status feedback => assigned
2010-11-30 20:39 paulh Assigned To => paulh
2010-11-30 20:40 paulh Note Added: 0003484
2010-11-30 20:49 paulh Note Added: 0003485
2010-11-30 20:49 paulh Status assigned => resolved
2010-11-30 20:49 paulh Resolution open => fixed
2010-11-30 20:49 paulh Fixed in Version => Current SVN
2010-11-30 20:49 paulh Target Version => 3.63 LTS
2011-04-16 15:07 ivan Note Added: 0003710
2011-04-16 15:07 ivan Status resolved => closed
2011-07-17 13:09 ivan Fixed in Version Current SVN => 3.63 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker